Bug 2570 - install clobbers named.conf
install clobbers named.conf
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: caching-nameserver (Show other bugs)
6.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-05 09:25 EDT by peter.riocreux
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-02 19:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter.riocreux 1999-05-05 09:25:44 EDT
I (wrongly) did not have my local machine name in
/etc/hosts, and only had localhost in there.  This was not
previously a problem as my named resolved the address, but
the 6.0 install overwrote the named.conf leaving me without
any way to resolve the local host name.

The install did not (incorrectly) overwrite any other
configuration file that I have found, but was incorrect in
this case.

Secondly, many of the services that rely on resolution took
excessively long to timeout on non-resolution (e.g. SMB
seemed to take about 30 minutes)
Comment 1 David Lawrence 1999-06-02 19:37:59 EDT
The rpm for caching-nameserver has the /etc/named.conf tagged as a
config file so when an upgrade is performed normal action would be to
created an named.conf.rpmsave of the file unless there was no major
changes in config file syntax from one version to another. I did a 5.2
install, made some modifications to the named.conf file. I then did an
upgrade to 6.0. The named.conf file that I modified was untouched
therefore not a problem. To list the files that would normally be
replaced with rpmsaves do

rpm -qc caching-nameserver

Any of those that you modify yourself should either be backup as
rpmsaves or untouched.

Note You need to log in before you can comment on or make changes to this bug.